---
# TODO: Migrar todo a sfdisk

- name: Eliminar particiones anteriores
  shell: "sgdisk --zap-all {{ disk }}"

- name: Instalar plantilla de particiones
  template:
    src: templates/fdisk.j2
    dest: /tmp/fdisk

- name: Particionar
  shell: "cat /tmp/fdisk | fdisk {{ disk }}"

- name: Crear etiqueta para la swap cifrada
  shell: "mkfs.ext2 -L cryptswap {{ disk }}2 1M"

- name: Hacer un backup de la tabla de particiones
  shell: "sgdisk --backup={{ backup }}/{{ hostname }}.gpt {{ disk }}"
